------------------------------------------------------------------------------------
--Name:  	baiqing4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-23
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(47, 46)
local monster_0 = CppScriptMgr:AddPlayer(431, 44, 46, "", 0, 0)
monster_0:Say("Foolish humans, you are destined to be enslaved by our demon kind.", 2000)
monster_0:SetDir(7)
local npc_0 = CppScriptMgr:AddSimplePlayer(1100461, 53, 46, "", 0, 0)
npc_0:WalkTo(33, 66)
npc_0:SetDir(1)
npc_0:AddEffect("attach_continuance05", 33)
npc_0:SetFrameInterval(60)
local npc_1 = CppScriptMgr:AddSimplePlayer(1100461, 50, 49, "", 0, 0)
npc_1:WalkTo(33, 66)
npc_1:AddEffect("attach_continuance05", 33)
npc_1:SetFrameInterval(60)
local npc_2 = CppScriptMgr:AddSimplePlayer(1100461, 47, 52, "", 0, 0)
npc_2:WalkTo(33, 66)
npc_2:AddEffect("attach_continuance05", 33)
npc_2:SetAction(330)
local npc_3 = CppScriptMgr:AddSimplePlayer(1100461, 44, 55, "", 0, 0)
npc_3:WalkTo(33, 66)
npc_3:SetFrameInterval(60)
npc_3:AddEffect("attach_continuance05", 33)
local npc_4 = CppScriptMgr:AddSimplePlayer(1100461, 56, 43, "", 0, 0)
npc_4:WalkTo(33, 66)
npc_4:SetDir(1)
npc_4:AddEffect("attach_continuance05", 33)
npc_4:SetFrameInterval(60)
local npc_5 = CppScriptMgr:AddSimplePlayer(1100461, 59, 40, "", 0, 0)
npc_5:WalkTo(33, 66)
npc_5:SetDir(1)
npc_5:AddEffect("attach_continuance05", 33)
npc_5:SetFrameInterval(60)
local npc_6 = CppScriptMgr:AddSimplePlayer(1100461, 62, 37, "", 0, 0)
npc_6:WalkTo(33, 66)
npc_6:SetDir(1)
npc_6:AddEffect("attach_continuance05", 33)
npc_6:SetFrameInterval(60)
local effect_0 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 47, 52, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(490)
monster_0:SetAction(101)
CppScriptMgr:WaitMilSec(1010)
local effect_1 = CppScriptMgr:AddEffect("BodyDisapear", 47, 52, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
npc_0:SetAction(330)
npc_0:SetFrameInterval(33)
local effect_2 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 51, 48, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local effect_3 = CppScriptMgr:AddEffect("BodyDisapear", 51, 48, 33, 1, 1, 1)
npc_2:SetHide(1)
monster_0:Say("So clumsy. Get to work!", 2000)
monster_0:SetAction(401)
CppScriptMgr:WaitMilSec(930)
npc_0:SetHide(1)
CppScriptMgr:WaitMilSec(1500)